ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-22007) Addition of service component after patching a service still keeps the component at base version
Date Mon, 25 Sep 2017 13:53:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-22007?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16179044#comment-16179044
] 

Hudson commented on AMBARI-22007:
---------------------------------

SUCCESS: Integrated in Jenkins build Ambari-branch-2.6 #278 (See [https://builds.apache.org/job/Ambari-branch-2.6/278/])
AMBARI-22007 - Addition of service component after patching a service (jhurley: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=68b31ac2c5cd508cafb4e0f003840b47d75fa6d4])
* (edit) ambari-common/src/main/python/resource_management/libraries/functions/version_select_util.py
* (edit) ambari-common/src/main/python/resource_management/libraries/script/script.py


> Addition of service component after patching a service still keeps the component at base
version
> ------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-22007
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22007
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.6.0
>            Reporter: Vivek Sharma
>            Assignee: Jonathan Hurley
>            Priority: Critical
>              Labels: patch-upgrade
>             Fix For: 2.6.0
>
>         Attachments: AMBARI-22007.patch
>
>
> *STR*
> # Deploy HDP-2.6.0.0 cluster with Ambari-2.6.0.0 (2.6.0.0-102)
> # Register VDF for Storm PU to 2.6.0.3-8
> # Perform a patch RU for Storm
> # Revert the patch
> # Perform a patch EU for Storm
> # Add Supervisor component on one of the hosts 
> # Observe the version of Supervisor on newly added host
> *Result:*
> Supervisor still shows its version as the base version
> Looks like the issue is because while installing packages for Supervisor, hdp-select
sets it at base-version
> {code}
> 2017-09-19 11:20:33,011 - Execute[('ambari-python-wrap', '/usr/bin/hdp-select', 'set',
'storm-supervisor', '2.6.0.0-598')] {'sudo': True}
> 2017-09-19 11:20:33,061 - After ('ambari-python-wrap', '/usr/bin/hdp-select', 'set',
'storm-supervisor', '2.6.0.0-598'), reloaded module params
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message